#include <stdlib.h>
#include <stdio.h>

void f(char foo) {
	if (foo == 0)
		printf("foo is 0\n");
	else
		printf("foo is %d\n", foo);
}

int main(void) {
	char *c = malloc(10);
	f(c[0]);
	free(c);

	return 0;
}
